DefaultTreeNodeNamingPolicy (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action.impl, class: DefaultTreeNodeNamingPolicy

Package org.apache.jmeter.gui.action.impl

# Class DefaultTreeNodeNamingPolicy

java.lang.Object
org.apache.jmeter.gui.action.impl.DefaultTreeNodeNamingPolicy

All Implemented Interfaces:
  `TreeNodeNamingPolicy`

public class DefaultTreeNodeNamingPolicy extends Object implements TreeNodeNamingPolicy
Default implementation of `TreeNodeNamingPolicy`

Since:
  3.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final char`
  `TRANSACTION_CHILDREN_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultTreeNodeNamingPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `nameOnCreation(JMeterTreeNode node)`
  `void`
  `rename(JMeterTreeNode parentNode, JMeterTreeNode childNode, int iterationIndex)`
  Called by Apply Naming Policy popup menu on TransactionController nodes Rename childNode based on custom policy
  `void`
  `resetState(JMeterTreeNode rootNode)`
  Called within Apply Naming Policy popup menu on TransactionController nodes to init the naming process.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSACTION_CHILDREN_SEPARATOR

    public static final char TRANSACTION_CHILDREN_SEPARATOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DefaultTreeNodeNamingPolicy

    public DefaultTreeNodeNamingPolicy()

- ## Method Details

  - ### rename

    public void rename(JMeterTreeNode parentNode, JMeterTreeNode childNode, int iterationIndex)
    Description copied from interface: `TreeNodeNamingPolicy`
    Called by Apply Naming Policy popup menu on TransactionController nodes Rename childNode based on custom policy
    Specified by:
      `rename` in interface `TreeNodeNamingPolicy`
    Parameters:
      `parentNode` - Parent node
      `childNode` - Child node
      `iterationIndex` - index of child node
    See Also:
      - `TreeNodeNamingPolicy.rename(org.apache.jmeter.gui.tree.JMeterTreeNode, org.apache.jmeter.gui.tree.JMeterTreeNode, int)`

  - ### resetState

    public void resetState(JMeterTreeNode rootNode)
    Description copied from interface: `TreeNodeNamingPolicy`
    Called within Apply Naming Policy popup menu on TransactionController nodes to init the naming process.
    Specified by:
      `resetState` in interface `TreeNodeNamingPolicy`
    Parameters:
      `rootNode` - `JMeterTreeNode` Parent of nodes that will be renamed
    See Also:
      - `TreeNodeNamingPolicy.resetState(org.apache.jmeter.gui.tree.JMeterTreeNode)`

  - ### nameOnCreation

    public void nameOnCreation(JMeterTreeNode node)
    Specified by:
      `nameOnCreation` in interface `TreeNodeNamingPolicy`
    Parameters:
      `node` - `JMeterTreeNode` node that has been added to JMeter Tree node